Subject: Re: [TR] Robert

From: Robert Rochlin <[email-masked]>
Date: Fri, 6 Sep 2019 19:47:06 -0400

Hi Paul,
	I used a highly recommended automotive machine shop, J&M Machine in Southborough MA.  All I had to do was tell them what I wanted done and they did the calculations and executed the machining. They did the block, rods, pistons, bearings, decked the block  and valves.  They were not cheap, but having a new engine go south is a lot more expensive.
	Best,
	Bob

> On Sep 6, 2019, at 7:03 PM, Paul Dorsey <[email-masked]> wrote:
> 
>  I am new to the TR three however, I need to do a head job on my TR three that is not running. I wonder if you happen to know where I might find recommendations for the head  so that I  Can make the machine shop aware of alterations for current conditions in fact I don’t know even what to ask the list. 
> 
> Thanks Paul Dorsey Athens Georgia

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]